SDL_GetCameraDevicePosition(3)

NAME
SDL_GetCameraDevicePosition - Get the position of the camera in relation to the system.

HEADER FILE
Defined in SDL3/SDL_camera.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_CameraPosition SDL_GetCameraDevicePosition(SDL_CameraDeviceID instance_id);

DESCRIPTION
Most platforms will report UNKNOWN, but mobile devices, like phones, can often make a distiction between cameras on the front of the device (that points towards the user, for taking "selfies") and cameras on the back (for filming in the direction the user is facing).

FUNCTION PARAMETERS

instance_id
    the camera device instance ID

RETURN VALUE
Returns The position of the camera on the system hardware.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetCameraDevices(3)